<?php
	require "acesso.php";

	$res = array();
	$id_firma    = $_POST['id_firma'];
	$id_device   = $_POST['id_device'];

	//$con = new PDO("mysql:dbname=$database; charset=utf8", $usuario , $senha);

	if (isset($_POST['novo'])) {
		$arnomvde = $_POST['arnomuse'];
		$arsenvde = $_POST['arsenuse'];
		$desativado = $_POST['desativado'];
		$ret = $con->prepare("INSERT INTO user_admin (arnomuse, arsenuse, sr_deleted) VALUE ('$arnouse', '$arsenuse', '$desativado')");
		try {
		$ret->execute();
		} catch (PDOException $e) {
		    $res['pdo'] = $e->getMessage();
		}
		$mensagem = $ret->errorInfo();
		if($mensagem[0] == "00000") {
			$res['id'] = $con->lastInsertId();
			$arcodvde = $con->lastInsertId();
			$ret = $con->prepare("UPDATE user_admin SET arcoduse = LPAD('$arcoduse', 3, '0') WHERE sr_recno = $arcoduse");
			$ret->execute();
			$mensagem = $ret->errorInfo();
			if($mensagem[0] == "00000") {
				$res["arcoduse"] = $arcoduse;
				$res["sucesso"] = 1;
			} else {
				$res["sucesso"] = 0;
			}
		} else {
		    $res['sucesso'] = 0;
		    $res['mensagem'] = $mensagem[2];
		}
	} else {
	    $ret = $con->prepare("SELECT * FROM user_admin WHERE sr_deleted != 'T' ORDER BY arnomuse");
	    $ret->execute();
	    $mensagem = $ret->errorInfo();
	    if($ret->rowCount() > 0) {
	        $res["usuarios"] = array();
	        while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
	            array_push($res["usuarios"], $row);
	        }
	        $res["sucesso"] = 1;
	    } else {
	        $res["sucesso"] = 0;
	        $res["mensagem"] = $mensagem[2];
	    }
	}
	echo json_encode($res);
	$con = null;
?>